/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.livedata.livetable;

import org.xwiki.stability.Unstable;

/**
 * Livedata Livetable exception.
 *
 * @version $Id: 9de3a2ea3a62b5f5ce646055314cb909b1e727fd $
 * @since 13.10.4
 * @since 14.2RC1
 */
@Unstable
public class LiveDataLivetableException extends Exception
{
    private static final long serialVersionUID = 3315810055928971046L;

    /**
     * Constructs a new LiveData Livetable exception with the specified detail message.
     *
     * @param message the detail message
     */
    public LiveDataLivetableException(String message)
    {
        super(message);
    }
}
